curl --request POST \
--url https://test.didxtech.com/me-creds/api/certificates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "verifierRoot",
"keyType": "P-256",
"countryName": "<string>",
"issuerAlternativeNameUrl": "<string>",
"commonName": "<string>"
}
'{
"data": {
"id": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"status": "expired",
"expiresAt": "<string>",
"subjectKeyIdentifier": "<string>",
"certificate": "<string>",
"type": "verifierSignRequest",
"keyType": "P-256",
"capabilities": {
"signMdl": true
},
"parentCertificateId": "<string>"
},
"links": {
"self": "<string>",
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>",
"related": "<string>"
},
"meta": {},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"title": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}curl --request POST \
--url https://test.didxtech.com/me-creds/api/certificates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "verifierRoot",
"keyType": "P-256",
"countryName": "<string>",
"issuerAlternativeNameUrl": "<string>",
"commonName": "<string>"
}
'{
"data": {
"id": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"status": "expired",
"expiresAt": "<string>",
"subjectKeyIdentifier": "<string>",
"certificate": "<string>",
"type": "verifierSignRequest",
"keyType": "P-256",
"capabilities": {
"signMdl": true
},
"parentCertificateId": "<string>"
},
"links": {
"self": "<string>",
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>",
"related": "<string>"
},
"meta": {},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"title": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
verifierRoot, issuerRoot P-256, Ed25519 ISO 3166-1 alpha-2 country code
2Issuer alternative name URL